Skip to main content
GET
/
api
/
v1
/
purchase-orders
/
{po_id}
/
flow
Get Purchase Order Flow
curl --request GET \
  --url https://api.example.com/api/v1/purchase-orders/{po_id}/flow
{
  "purchaseOrderId": "<string>",
  "materialRequests": [
    {
      "id": "<string>",
      "documentId": "<string>",
      "status": "<string>",
      "createdAt": "<string>"
    }
  ],
  "bills": [
    {
      "id": "<string>",
      "billNumber": "<string>",
      "status": "<string>",
      "totalAmount": 123,
      "createdAt": "<string>"
    }
  ],
  "purchaseOrderDocumentId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

po_id
string
required

Response

Successful Response

purchaseOrderId
string
required
materialRequests
PurchaseOrderFlowMaterialRequest · object[]
required
bills
PurchaseOrderFlowBill · object[]
required
purchaseOrderDocumentId
string | null